#include "chdecl.h"
void CH_getformatters_fmtobject(current, sched, cop)
#define ARGUMENTS 12
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c3;
    case 4: goto c4;
    case 5: goto c16;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* call 3.0.1 3.0 3.1 3.2 3.3 3.4 3.5 3.6.0 4 3.7 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(1),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(3)DOT(5),
          arguments[7] = DEF(3)DOT(6)DOT(0),
          arguments[8] = DEF(4),
          arguments[9] = DEF(3)DOT(7),
          arguments[9+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* call 3.0.2 3.0 3.3 3.4 3.6.1 4 5 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(2),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(3)DOT(4),
          arguments[4] = DEF(3)DOT(6)DOT(1),
          arguments[5] = DEF(4),
          arguments[6] = DEF(5),
          arguments[6+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* size 6 5 */
  REF(6).value.integer = REF(5).value.table->size;
  REF(6).tsdr = & dr_integer;
/* notequal . 6 =(0) , 9 */
  if ( REF(6).value.integer != 0 ) goto c9;
/* branch , 13 */
   goto c13;
c9:
/* ordenum_lit 7 , 46 */
  REF(7).value.ord_enum = 46;
  REF(7).tsdr = & dr_ord_enumeration;
/* insert 3.7 7 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 8 5 */
  if((ch_returncode = cp_table(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = & dr_table;
/* merge 3.7 8 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(7),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
c13:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c16:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
